org.eclipse.mat.ui.internal.acquire

## Class AcquireSnapshotAction

- java.lang.Object
- - Action
  - - org.eclipse.mat.ui.internal.acquire.AcquireSnapshotAction

    public class AcquireSnapshotAction
    extends Action

### Nested Class Summary

Nested Classes
`static class` `AcquireSnapshotAction.AcquireWizard`
`static class` `AcquireSnapshotAction.Handler`

### Constructor Summary

Constructors
Constructor and Description
`AcquireSnapshotAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `init(IWorkbenchWindow window)`
`void` `run()`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AcquireSnapshotAction

    public AcquireSnapshotAction()

### Method Detail

#### run

    public void run()

#### dispose

    public void dispose()

#### init

    public void init(IWorkbenchWindow window)

#### run

    public void run(IAction action)

#### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)